/*
MACINTOSH:
compile:  javac -classpath .:KarelJRobot.jar kareltherobot/*.java
run:   java -cp .:KarelJRobot.jar kareltherobot.Application

WINDOWS:
compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
run:  java -cp .;KarelJRobot.jar kareltherobot.Application
*/
/*  this program has Karel get on the roof and get beepers from the corner.    
It does not know how long the roof is, or how many beepers there are.

Asks the user for the name of the world.

written by Scott McElfresh 
 */

package kareltherobot;

import javax.swing.JOptionPane;

public class Application implements Directions 
{
    public static void main(String[] args) 
    {
        String worldname = JOptionPane.showInputDialog("Which world?");
        
        World.setVisible(true);
        World.readWorld(worldname);
        World.setTrace(true);
        World.setDelay(10);

            RoofCleaner karel = new RoofCleaner(1, 1, East, 0);
						// Street 1, Avenue 1, facing east, no beepers in its bag
		
	    karel.findEnd();
	    karel.climbOn();
	    karel.goToEnd();
	    karel.getAllBeepers();
	    karel.turnAround();
	    karel.findEdge();
	    karel.climbDown();
	    karel.goToEnd();
            karel.turnOff();
    }


}
